Subject: [bug#40264] Linphone: 11-add-mediastreamer-v3

From: [email-masked]
Date: Sun, 05 Apr 2020 22:40:26 -0400

Hello,

"Raghav Gururajan" <[email-masked]> writes:

> Hi Danny!
>
>>> Oh no, that patch is required. MS won't build with srtp enabled, without it.
>>
>> Okay--added in commit 2c56aeaea94d3914acf79f9bbabeef1b3ec8aa07.
>
> Thanks so much :-)
>
>>> Shall we please keep the name "mediastreamer" for package and "mediastreamer2" for variable? The
>>> release tarballs have not been renamed. We'll change the package name when it is changed in
>>> releases by upstream. This will consistent with other packages in linphone.scm.
>>
>> I'll see what the others say--but I'm not opposed to use the other name.

mediastreamer2 is better.  Otherwise we get a confused mix of
mediastreamer-2.16.1 / mediastreamer2-2.16.1 under share/, for example.
The name really is mediastreamer2 in the code/doc, everywhere except in
for the tarball file name.

I'll push some refinements I made today in a moment, mostly adding the
tester binary and data to a 'tester' output (it comes with about 20 MiB
of data files).

Great work!

Maxim